Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » WDT » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_wdt_init (wdt_handle_t *p_wdt)
| Initialize the WDT according to the specified parameters in the wdt_init_t of associated handle. More...
hal_status_t | hal_wdt_deinit (wdt_handle_t *p_wdt)
| De-initialize the WDT peripheral. More...
void | hal_wdt_msp_init (wdt_handle_t *p_wdt)
| Initialize the WDT MSP. More...
void | hal_wdt_msp_deinit (wdt_handle_t *p_wdt)
| De-initialize the WDT MSP. More...

## Detailed Description

Initialization and de-initialization functions.

      ==============================================================================
              ##### Initialization and de-initialization functions #####
      ==============================================================================
      [..]
        This section provides functions allowing to:
          (+) Initialize and start the WDT according to the specified parameters
              in the wdt_init_t of associated handle.
          (+) Initialize the WDT MSP.

## Function Documentation

## ◆ hal_wdt_deinit()

hal_status_t hal_wdt_deinit | ( | wdt_handle_t * | p_wdt | ) |

De-initialize the WDT peripheral.

Parameters

  [in] | p_wdt | WDT handle.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_wdt_init()

hal_status_t hal_wdt_init | ( | wdt_handle_t * | p_wdt | ) |

Initialize the WDT according to the specified parameters in the wdt_init_t of associated handle.

Parameters

  [in] | p_wdt | Pointer to a WDT handle which contains the configuration information for the specified WDT module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_wdt_msp_deinit()

void hal_wdt_msp_deinit | ( | wdt_handle_t * | p_wdt | ) |

De-initialize the WDT MSP.

Parameters

  [in] | p_wdt | Pointer to a WDT handle which contains the configuration information for the specified WDT module.

Note
  When rewriting this function in a user file, this mechanism may be added to avoid multiple initialization when hal_wdt_init function is called again to change parameters.

## ◆ hal_wdt_msp_init()

void hal_wdt_msp_init | ( | wdt_handle_t * | p_wdt | ) |

Initialize the WDT MSP.

Parameters

  [in] | p_wdt | Pointer to a WDT handle which contains the configuration information for the specified WDT module.

Note
  When rewriting this function in a user file, this mechanism may be added to avoid multiple initialization when hal_wdt_init function is called again to change parameters.